"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParticlesBundle = void 0;
const getConfig_1 = require("../common/getConfig");
function loadParticlesBundle(params) {
    const { additionalExternals, bundle, bundleName, dir, moduleName, version } = params, fixBundleName = bundleName ? `${bundleName} ` : "", banner = `Author : Matteo Bruni
MIT license: https://opensource.org/licenses/MIT
Demo / Generator : https://particles.js.org/
GitHub : https://www.github.com/matteobruni/tsparticles
How to use? : Check the GitHub README
v${version}`, minBanner = `tsParticles ${fixBundleName}v${version} by Matteo Bruni`, configs = (0, getConfig_1.getConfig)({
        entry: { format: "", name: moduleName, bundle: false },
        version,
        banner,
        minBanner: minBanner,
        dir,
        bundle: false,
        additionalExternals,
    });
    if (bundle ?? true) {
        configs.push(...(0, getConfig_1.getConfig)({
            entry: { format: "", name: moduleName ? `${moduleName}.bundle` : "bundle", bundle: true },
            version,
            banner,
            minBanner: minBanner,
            dir,
            bundle: true,
            additionalExternals,
        }));
    }
    return configs;
}
exports.loadParticlesBundle = loadParticlesBundle;
