"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExternals = void 0;
const getExternalObject = (name) => {
    return {
        commonjs: name,
        commonjs2: name,
        amd: name,
        root: "window",
    };
};
const transformExternal = (external) => {
    return {
        [external.name]: external.data,
    };
};
const getExternals = (params) => {
    const { additionalExternals, bundle } = params, externals = additionalExternals ?? [];
    if (bundle) {
        return [...externals.filter(t => !t.bundle).map(transformExternal)];
    }
    return [
        ...externals.map(transformExternal),
        function ({ request }, cb) {
            if (request === "tsparticles" ||
                request.startsWith("tsparticles-") ||
                request.startsWith("@tsparticles/")) {
                cb(null, getExternalObject(request));
                return;
            }
            cb();
        },
    ];
};
exports.getExternals = getExternals;
