"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParticlesEngine = void 0;
const getConfig_1 = require("../common/getConfig");
function loadParticlesEngine(params) {
    const { additionalExternals, dir, version } = params, banner = `tsParticles Engine v${version}
Author: Matteo Bruni
MIT license: https://opensource.org/licenses/MIT
Website: https://particles.js.org/
Confetti Website: https://confetti.js.org
GitHub: https://www.github.com/matteobruni/tsparticles
How to use?: Check the GitHub README
------------------------------------------------------`, minBanner = `tsParticles Engine v${version} by Matteo Bruni`;
    return (0, getConfig_1.getConfig)({
        entry: { format: "engine", bundle: false },
        version,
        banner,
        minBanner: minBanner,
        dir,
        bundle: false,
        additionalExternals,
    });
}
exports.loadParticlesEngine = loadParticlesEngine;
