"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParticlesMove = void 0;
const getConfig_1 = require("../common/getConfig");
function loadParticlesMove(params) {
    const { moduleName, pluginName, version, dir, additionalExternals } = params, banner = `Author : Matteo Bruni
MIT license: https://opensource.org/licenses/MIT
Demo / Generator : https://particles.js.org/
GitHub : https://www.github.com/matteobruni/tsparticles
How to use? : Check the GitHub README
v${version}`, minBanner = `tsParticles ${pluginName} Move v${version} by Matteo Bruni`;
    return (0, getConfig_1.getConfig)({
        entry: {
            format: "move",
            name: moduleName,
            bundle: false,
        },
        version,
        banner,
        minBanner: minBanner,
        dir,
        bundle: false,
        additionalExternals,
    });
}
exports.loadParticlesMove = loadParticlesMove;
