"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParticlesPluginExport = void 0;
const getConfig_1 = require("../../common/getConfig");
function loadParticlesPluginExport(params) {
    const { moduleName, pluginName, version, dir, bundle, additionalExternals } = params, banner = `Author : Matteo Bruni
MIT license: https://opensource.org/licenses/MIT
Demo / Generator : https://particles.js.org/
GitHub : https://www.github.com/matteobruni/tsparticles
How to use? : Check the GitHub README
v${version}`, minBanner = `tsParticles Export ${pluginName} Plugin v${version} by Matteo Bruni`;
    return bundle
        ? [
            ...(0, getConfig_1.getConfig)({
                entry: { format: "plugin.export", name: moduleName, bundle: false },
                version,
                banner,
                minBanner: minBanner,
                dir,
                bundle: false,
                additionalExternals,
            }),
            ...(0, getConfig_1.getConfig)({
                entry: { format: "plugin.export", name: `${moduleName}.bundle`, bundle: true },
                version,
                banner,
                minBanner: minBanner,
                dir,
                bundle: true,
                additionalExternals,
            }),
        ]
        : (0, getConfig_1.getConfig)({
            entry: { format: "plugin.export", name: moduleName, bundle: false },
            version,
            banner,
            minBanner: minBanner,
            dir,
            bundle: false,
            additionalExternals,
        });
}
exports.loadParticlesPluginExport = loadParticlesPluginExport;
