"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParticlesPreset = void 0;
const getConfig_1 = require("../common/getConfig");
function loadParticlesPreset(params) {
    const { moduleName, presetName, version, dir, additionalExternals } = params, banner = `Author : Matteo Bruni
MIT license: https://opensource.org/licenses/MIT
Demo / Generator : https://particles.js.org/
GitHub : https://www.github.com/matteobruni/tsparticles
How to use? : Check the GitHub README
v${version}`, minBanner = `tsParticles ${presetName} Preset v${version} by Matteo Bruni`;
    return [
        ...(0, getConfig_1.getConfig)({
            entry: { format: "preset", name: moduleName, bundle: false },
            version,
            banner,
            minBanner: minBanner,
            dir,
            bundle: false,
            additionalExternals,
        }),
        ...(0, getConfig_1.getConfig)({
            entry: { format: "preset", name: `${moduleName}.bundle`, bundle: true },
            version,
            banner,
            minBanner: minBanner,
            dir,
            bundle: true,
            additionalExternals,
        }),
    ];
}
exports.loadParticlesPreset = loadParticlesPreset;
